JSFile
Date: 2019-10-22

org.jmol.awtjs2d

## Class JSFile

- java.lang.Object
- - org.jmol.awtjs2d.JSFile

- All Implemented Interfaces:
    GenericFileInterface

      class JSFile
      extends java.lang.Object
      implements GenericFileInterface

  A class that mimics java.io.File

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `fullName`
    `private java.lang.String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSFile(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFullPath()`
    `java.lang.String` | `getName()`
    `GenericFileInterface` | `getParentAsFile()`
    `static java.lang.Object` | `getURLContents(java.net.URL url, byte[] outputBytes, java.lang.String post)` Note that the JS equivalent passes back a javajs.util.SB
    `boolean` | `isDirectory()`
    `long` | `length()`
    `(package private) static GenericFileInterface` | `newFile(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          private java.lang.String name

    - #### fullName

          private java.lang.String fullName

  - ### Constructor Detail

    - #### JSFile

          JSFile(java.lang.String name)

  - ### Method Detail

    - #### newFile

          static GenericFileInterface newFile(java.lang.String name)

    - #### getParentAsFile

          public GenericFileInterface getParentAsFile()

      Specified by:
        `getParentAsFile` in interface `GenericFileInterface`

    - #### getFullPath

          public java.lang.String getFullPath()

      Specified by:
        `getFullPath` in interface `GenericFileInterface`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `GenericFileInterface`

    - #### isDirectory

          public boolean isDirectory()

      Specified by:
        `isDirectory` in interface `GenericFileInterface`

    - #### length

          public long length()

      Specified by:
        `length` in interface `GenericFileInterface`

    - #### getURLContents

          public static java.lang.Object getURLContents(java.net.URL url,
                                                        byte[] outputBytes,
                                                        java.lang.String post)

      Note that the JS equivalent passes back a javajs.util.SB
      Parameters:
        `url` -
        `outputBytes` -
        `post` -
      Returns:
        javajs.util.SB or